Attribute VB_Name = "AutoMacros"
Option Explicit
' This module written by Charles Kyle Kenyon
' Copyright 2001, All rights reserved.

Sub AutoNewa() 'will not be triggered by opening or creation
'
' AutoNew Macro
' Macro written 11/05/2000 by Charles Kyle Kenyon
' Rename to AutoNew to have this update ASK fields
'   upon opening.
'
    Dim oField As Field
    Dim oStory As Range
    On Error Resume Next
    For Each oField In ActiveDocument.Range.Fields
        If oField.Type = wdFieldAsk Then
            oField.Update
        End If
    Next oField
    For Each oStory In ActiveDocument.StoryRanges
    ' This part goes through the headers and footers as well as the main document
    ' This part updates the viewed fields.
    ' They would be updated by a print or print preview as well
        For Each oField In ActiveDocument.Range.Fields
            If oField.Type = wdFieldRef Then
                oField.Update
            End If
        Next oField
    Next oStory
'    Selection.WholeStory
'    Selection.Fields.Update
    With Options
        .UpdateFieldsAtPrint = False
        .UpdateLinksAtPrint = True
    End With
    Selection.Collapse
End Sub

Sub AutoOpen()
    With Options
        .UpdateFieldsAtPrint = False
        .UpdateLinksAtPrint = True
    End With
End Sub
